Subject: problem with large file

From: Nicolas Anquetil <[email-masked]>
Date: Wed, 23 Jun 1999 12:12:12 -0400 (XXX)

Hi,

I am trying to load a large file (5 Mo.) with very long list that I
would like to load into SWI-Prolog.

It works fine with SWI-prolog 2.8.6 under Solaris, but I have problems
with SWI-prolog 3.2.5 under linux.

Here is a copy of the session under linux:

-----linux-begin-----
Welcome to SWI-Prolog (Version 3.2.5)
Copyright (c) 1993-1998 University of Amsterdam.  All rights reserved.

For help, use ?- help(Topic). or ?- apropos(Word).

?- ['all-ref'].
[WARNING: Out of local stack]

Execution Aborted

?- statistics.
0.08 seconds cpu time for 1,503 inferences
3,336 atoms, 926 functors, 1,259 predicates, 21 modules, 41,433 VM-codes

                       Limit    Allocated       In use
Heap         :                                 459,344 Bytes
Local  stack :     2,048,000       32,768          716 Bytes
Global stack :     4,096,000      204,800          904 Bytes
Trail  stack :     4,096,000       32,768          312 Bytes

Yes
?- 
-----linux-end-----

And the similar experience under Solaris:

-----solaris-begin-----
Welcome to SWI-Prolog (Version 2.8.6)
Copyright (c) 1993-1997 University of Amsterdam.  All rights reserved.

For help, use ?- help(Topic). or ?- apropos(Word).

1 ?- ['all-ref'].
all-ref compiled, 9.96 sec, 12,947,068 bytes.

Yes
2 ?- statistics.
10.01 seconds cpu time for 26,860 inferences
61,885 atoms, 868 functors, 1,213 predicates, 19 modules, 2,666,792 VM-codes

                       Limit    Allocated       In use
Heap         : 2,135,416,832   14,355,696   13,233,660 Bytes
Local  stack :     2,048,000       16,384          544 Bytes
Global stack :     4,096,000       24,576          876 Bytes
Trail  stack :     4,096,000       16,384          308 Bytes

Yes
3 ?- 
-----solaris-end-----

I tried to fiddle with the possible parameters (-L , -H), but I could
not make it work.  Any idea what is going wrong and what I could do ?

-- 
Nicolas ANQUETIL                      Research Associate/Associé de recherche
Knowledge Based Reverse Engineering   Univ. of/d'Ottawa
E-Mail: [email-masked]       Tel: (1) (613) 562-5800 x6688